Package org.jcsp.net.settings

# Class MinMemory

java.lang.Object
org.jcsp.net.settings.Spec
org.jcsp.net.settings.MinMemory

All Implemented Interfaces:
  `Req`, `XMLConfigConstants`

public class MinMemory extends Spec implements Req, XMLConfigConstants
Used internally within the JCSP network infrastructure to represent a minimum memory setting.

Author:
  Quickstone Technologies Limited

## Field Summary

### Fields inherited from interface org.jcsp.net.settings.XMLConfigConstants

`DATA_TYPE_INDICATOR_BOOLEAN, DATA_TYPE_INDICATOR_DOUBLE, DATA_TYPE_INDICATOR_INT, DATA_TYPE_INDICATOR_STRING, ELEMENT_ADDRESS, ELEMENT_ADDRESS_SETTING, ELEMENT_ADDRESSES, ELEMENT_CONNECTION_ORIENTED, ELEMENT_LINK_PROFILE, ELEMENT_LINK_PROFILES, ELEMENT_LINK_REQ_MAXPING, ELEMENT_LINK_REQ_MINSPEED, ELEMENT_LINK_REQ_OTHER, ELEMENT_LINK_REQ_PROTOCOL, ELEMENT_LINK_REQS, ELEMENT_MAXSPEED, ELEMENT_MEMORY, ELEMENT_NODE_PROFILE, ELEMENT_NODE_PROFILES, ELEMENT_NODE_REQ_MINMEMORY, ELEMENT_NODE_REQ_MINSPEED, ELEMENT_NODE_REQ_OTHER, ELEMENT_NODE_REQS, ELEMENT_NODE_SPECS, ELEMENT_OTHERSPEC, ELEMENT_PLUGIN, ELEMENT_PLUGINS, ELEMENT_PROTOCOL, ELEMENT_PROTOCOL_SETTING, ELEMENT_PROTOCOL_SETTINGS, ELEMENT_PROTOCOLS, ELEMENT_RELIABLE, ELEMENT_SERVICE, ELEMENT_SERVICES, ELEMENT_SETTING, ELEMENT_SETTINGS, ELEMENT_SPECS, ELEMENT_WIRELESS, REQ_COMPARATOR_EQUALS, REQ_COMPARATOR_GREATER, REQ_COMPARATOR_LESS, REQ_NAME_MAXPING, REQ_NAME_MINMEMORY, REQ_NAME_MINSPEED, REQ_NAME_PROTOCOL, RESERVED_SPEC_NAMES, SPEC_NAME_CONNECTION_ORIENTED, SPEC_NAME_MAXSPEED, SPEC_NAME_MEMORY, SPEC_NAME_PING, SPEC_NAME_PROTOCOL, SPEC_NAME_RELIABLE, SPEC_NAME_WIRELESS, XML_BOOLEAN_FALSE, XML_BOOLEAN_TRUE, XML_TRISTATE_CANBE, XML_TRISTATE_FALSE, XML_TRISTATE_TRUE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`boolean`
`getBooleanValue()`
`String`
`getComparator()`
`double`
`getDoubleValue()`
`int`
`getIntValue()`
`String`
`getStringValue()`
`Class`
`getType()`
`int`
`getValue()`
`int`
`hashCode()`

### Methods inherited from class org.jcsp.net.settings.Spec

`getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jcsp.net.settings.Req

`getName`

## Method Details

### getStringValue

public String getStringValue()

Specified by:
  `getStringValue` in interface `Req`
Specified by:
  `getStringValue` in class `Spec`

### getComparator

public String getComparator()

Specified by:
  `getComparator` in interface `Req`

### getIntValue

public int getIntValue()

Specified by:
  `getIntValue` in interface `Req`

### getDoubleValue

public double getDoubleValue()

Specified by:
  `getDoubleValue` in interface `Req`

### getBooleanValue

public boolean getBooleanValue()

Specified by:
  `getBooleanValue` in interface `Req`

### getType

public Class getType()

Specified by:
  `getType` in interface `Req`

### getValue

public int getValue()

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Spec`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Spec`